if (!variable_global_exists("gg2i_using_clientside")) {

	//Misc: Dropper
	if !variable_global_exists('gg2i_dropper')
	{
		globalvar gg2i_dropper;
		gg2i_dropper = object_add();
		object_event_add(gg2i_dropper, ev_create, 0, "
			alarm[0] = 60/global.delta_factor;
			alpha = 1;
			index = 0;
			gravity = 0.02;
			gravity_direction = 270;
			fadeout = false;
		");
		object_event_add(gg2i_dropper, ev_step, ev_step_normal, "
			if(fadeout) {
				alpha -= (1/30) * global.delta_factor;
			}
		");
		object_event_add(gg2i_dropper, ev_draw, 0, "
			draw_sprite_ext(sprite_index, index, x, y, 1, 1, 0, -1, alpha);
		");
		object_event_add(gg2i_dropper, ev_alarm, 0, "
			fadeout = true;
			alarm[1] = 30/global.delta_factor;
		");
		object_event_add(gg2i_dropper, ev_alarm, 1, "
			instance_destroy();
		");
	}
	object_event_add(Character, ev_step, ev_step_begin, "
		if (player.gg2i_current_misc > 0 && player.gg2i_current_misc_type == 0)
		{
			if (random(1) > 0.97)
			{
				var dropper;
				dropper = instance_create(x, y-20+random(9), gg2i_dropper);
				dropper.sprite_index = player.gg2i_current_misc;
				dropper.hspeed = (random(3) - 2.5)*global.delta_factor;
				dropper.vspeed = -random(5)*global.delta_factor;
				dropper.alpha = image_alpha;
				dropper.index = irandom(sprite_get_number(player.gg2i_current_misc) - 1);
			}
		}
	");

	//MISC: Death Motion
	object_event_add(Character, ev_create, 0, "
		gg2i_corpse_sprite = -1;
		gg2i_corpse_team = -1;
	");
	object_event_add(Character, ev_step, ev_step_end, "
		if (player.gg2i_current_death > 0)
		{
			gg2i_corpse_sprite = player.gg2i_current_death;
			gg2i_corpse_team = team;
			gg2i_corpse_x = sprite_get_xoffset(sprite_index);
			gg2i_corpse_y = sprite_get_yoffset(sprite_index);
		}
	");
	object_event_add(Character, ev_destroy, 0, "
		if (gg2i_corpse_sprite > 0)
		{
			player.gg2i_corpse_sprite = gg2i_corpse_sprite;
			player.gg2i_corpse_team = gg2i_corpse_team;
			player.gg2i_corpse_x = gg2i_corpse_x;
			player.gg2i_corpse_y = gg2i_corpse_y;
		}
		else
		{
			player.gg2i_corpse_sprite = -1;
			player.gg2i_corpse_team = -1;
			player.gg2i_corpse_x = 0;
			player.gg2i_corpse_y = 0;
		}
	");
	object_event_add(Player, ev_step, ev_step_begin, "
		if (!variable_local_exists('gg2i_corpse_sprite'))
		{
			gg2i_corpse_sprite = -1;
			gg2i_corpse_team = -1;
		}
		if (corpse > 0)
		{
			if (gg2i_corpse_sprite > 0)
			{
				with (corpse)
				{
					if (!variable_local_exists('sprite_set'))
						sprite_set = false;
					if (!sprite_set)
					{
						sprite_index = other.gg2i_corpse_sprite;
						image_index = 0;
						team = other.gg2i_corpse_team;
						sprite_set_offset(sprite_index, other.gg2i_corpse_x, other.gg2i_corpse_y);
						sprite_set = true;
					}
				}
			}
		}
	");
	object_event_add(DeadGuy, ev_create, 0, "
		sprite_set = false;
		team = -1;
	");
	object_event_add(DeadGuy, ev_draw, 0, "
		image_speed = 0.2*global.delta_factor;
		if (sprite_set)
		{
			if (team == TEAM_BLUE)
			{
				if (image_index < sprite_get_number(sprite_index)/2)
					image_index = sprite_get_number(sprite_index)/2;
				else if (image_index > sprite_get_number(sprite_index) - 1)
					image_index = sprite_get_number(sprite_index) - 1;
			}
			else
			{
				if (image_index > sprite_get_number(sprite_index)/2 - 1)
					image_index = sprite_get_number(sprite_index)/2 - 1;
			}
		}
		else
		{
			image_index = 5;
		}
		draw_sprite_ext(sprite_index, image_index, x, y, image_xscale, image_yscale, 0, -1, 1);
	");
	//Blue Curly's dead body
	object_event_add(DeadGuy, ev_step, ev_step_begin, "
		if (!sprite_set)
		{
			if (sprite_index == gg2i_blank_64)
				sprite_index = CurlyBlueS;
		}
	");

	//MISC: Humiliation Poses
	object_event_add(Character, ev_step, ev_step_begin, "
		if (player.gg2i_current_humiliation > 0)
		{
			humiliationPoses = player.gg2i_current_humiliation;
			sprite_set_offset(humiliationPoses, sprite_get_xoffset(sprite_index), sprite_get_yoffset(sprite_index));
		}
	");

	//MISC: Sentry
	object_event_add(Sentry, ev_step, ev_step_begin, "
		depth = -1;
	");
	object_event_clear(Sentry, ev_draw, 0);
	object_event_add(Sentry, ev_draw, 0, "
		if(vspeed > 0)
		{
			var chuteIndex;
			chuteIndex = ceil(vspeed/10*3)-1;
			image_index = chuteIndex + (team==TEAM_BLUE)*3;
			if (ownerPlayer.gg2i_current_misc > 0 && ownerPlayer.gg2i_current_misc_type == 2)
				sprite_index = ds_map_find_value(gg2i_misc_sentry_parachute_map, ds_list_find_value(ownerPlayer.gg2i_misc_list, ownerPlayer.class));
			else
				sprite_index = ParachuteSentry;
		}
		else
		{
			if (team == TEAM_BLUE)
			{
				if (ownerPlayer.gg2i_current_misc > 0 && ownerPlayer.gg2i_current_misc_type == 2)
					sprite_index = ds_map_find_value(gg2i_misc_sentry_blue_map, ds_list_find_value(ownerPlayer.gg2i_misc_list, ownerPlayer.class));
				else
					sprite_index = SentryBlue;
			}
			if (team == TEAM_RED)
			{
				if (ownerPlayer.gg2i_current_misc > 0 && ownerPlayer.gg2i_current_misc_type == 2)
					sprite_index = ds_map_find_value(gg2i_misc_sentry_red_map, ds_list_find_value(ownerPlayer.gg2i_misc_list, ownerPlayer.class));
				else
					sprite_index = SentryRed;
			}
		}
		xr = round(x);
		yr = round(y);
		if global.myself.team == team draw_healthbar(xr-10, yr-30, xr+10, yr-25,hp*100/maxHp,c_black,c_red,c_green,0,true,true);
		if (built && hp < .75 * maxHp) draw_sprite_part_ext(FlameS, random(4), 0, 0, 21, 9, xr-21/2, yr-15, 1, 1, c_white, 1 - (hp / maxHp));
		draw_sprite_ext(sprite_index,image_index,xr,yr,image_xscale,image_yscale,image_angle,c_white,1);

		if(distance_to_point(mouse_x, mouse_y)<25 && global.myself.team == team) {
			draw_set_alpha(1);   
			draw_set_halign(fa_center);
			draw_set_valign(fa_bottom); 
			if(team==TEAM_RED) {
				draw_set_color(c_red);
			} else {
				draw_set_color(c_blue);
			}
			draw_text(xr, yr-45, sanitiseNewlines(ownerPlayer.name) + gg2i.smallQuote + 's');
			draw_text(xr, yr-35, 'Autogun');
		}
	");
	object_event_add(Sentry, ev_destroy, 0, "
		with(SentryGibs)
		{
			if (x - other.x + y - other.y < 1)
				ownerPlayer = other.ownerPlayer;
		}
	");
	object_event_add(SentryGibs, ev_create, 0, "
		ownerPlayer = -1;
	");
	object_event_add(SentryGibs, ev_draw, 0, "
		image_speed = 0;
		if (instance_exists(ownerPlayer))
		{
			if (ownerPlayer.gg2i_current_misc > 0 && ownerPlayer.gg2i_current_misc_type == 2)
				sprite = ds_map_find_value(gg2i_misc_sentry_gibs_map, ds_list_find_value(ownerPlayer.gg2i_misc_list, ownerPlayer.class));
			else
				sprite = sprite_index;
		}
		else
			sprite = sprite_index;
		draw_sprite_ext(sprite, image_index, x, y, image_xscale, image_yscale, 0, c_white, 1);
	");
	object_event_add(SentryTurret, ev_step, ev_step_begin, "
		depth = -2;
	");
	object_event_clear(SentryTurret, ev_draw, 0);
	object_event_add(SentryTurret, ev_draw, 0, "
		if (distance_to_point(view_xview + view_wview/2, view_yview + view_hview/2) > 800)
			exit;
			
		var imageOffset;
		if(shooting)
		{
			shooting=false;
			imageOffset=2;
			if(instance_exists(nearestTarget))
			{
				xshootoffset=4*image_xscale;
				draw_set_alpha(0.6);
				draw_line_width_color(x+lengthdir_x(10,direction)-xshootoffset,y+lengthdir_y(10,direction)-2,nearestTarget.x+random(25)-12,nearestTarget.y+random(25)-12,2,c_yellow,c_black);
			}
		}
		else
			imageOffset=0;
			
		if(ownerPlayer.sentry)
		{
			if(ownerPlayer.sentry.image_index > 7)
			{
				if(rotating)
				{
					if (ownerPlayer.gg2i_current_misc > 0 && ownerPlayer.gg2i_current_misc_type == 2)
						sprite = ds_map_find_value(gg2i_misc_sentry_rotate_map, ds_list_find_value(ownerPlayer.gg2i_misc_list, ownerPlayer.class));
					else
						sprite = TurretRotateS;
					draw_sprite_ext(sprite,round(rotateindex),x,y,image_xscale,image_yscale,0,c_white,1);
				}
				else
				{
					if (ownerPlayer.gg2i_current_misc > 0 && ownerPlayer.gg2i_current_misc_type == 2)
						sprite = ds_map_find_value(gg2i_misc_sentry_map, ds_list_find_value(ownerPlayer.gg2i_misc_list, ownerPlayer.class));
					else
						sprite = sprite_index;
					draw_sprite_ext(sprite,ownerPlayer.team + imageOffset,round(x+xoffset*image_xscale),round(y+yoffset),image_xscale,image_yscale,image_angle,c_white,1);
				}
			}
		}
	");

	//MISC: Omnomnom
	object_event_add(Character, ev_step, ev_step_end, "
		if (player.gg2i_current_misc > 0 && player.gg2i_current_misc_type == 1)
		{
			omnomnomnomSprite = player.gg2i_current_misc;
			sprite_set_offset(omnomnomnomSprite, 19, 40);
		}
	");

	//MISC: Stab Anim
	object_event_add(StabAnim, ev_step, ev_step_normal, "
		if (owner.player.gg2i_current_misc > 0 && owner.player.gg2i_current_misc_type == 3)
		{
			sprite_index = owner.player.gg2i_current_misc;
			sprite_set_offset(sprite_index, 31, 40);
		}
	");
	object_event_clear(StabAnim, ev_draw, 0);
	object_event_add(StabAnim, ev_draw, 0, "
		if(owner.invisible)
			break;

		x = owner.x;
		y = owner.y;

		if team == TEAM_RED ubercolour = c_red;
		if team == TEAM_BLUE ubercolour = c_blue;
		draw_sprite_ext_overlay(sprite_index,overlays,owner.gearList,image_index,owner.x,owner.y,image_xscale,image_yscale,0,c_white,alpha);

		var offset;
		if !place_meeting(owner.x,owner.y+1,Obstacle)
			and!place_meeting(owner.x,owner.y+1,PlayerWallHorizontal)
			offset = 2;
		else
			offset = 0;

		if (sprite_index != owner.player.gg2i_current_misc)
		{
			draw_sprite_ext(BackstabLegsS, owner.team+offset,owner.x, owner.y,image_xscale,image_yscale,0,c_white,alpha);

			if (owner.ubered)
			{
				draw_sprite_ext_overlay(sprite_index,overlays,owner.gearList,image_index,owner.x,owner.y,image_xscale,image_yscale,image_angle,ubercolour,1);
				draw_sprite_ext(BackstabLegsS, owner.team+offset,owner.x,owner.y,image_xscale,image_yscale,0,ubercolour,0.7);
			}
		}
	");

	//MISC: Bubble
	if !variable_global_exists('gg2i_bubbleChat')
	{
		globalvar gg2i_bubbleChat;
		gg2i_bubbleChat = object_add();
		object_event_add(gg2i_bubbleChat, ev_create, 0, "
			sprite_index = gg2i_bubbleMenuV;
			alpha=0.01;
			done = false;
			x=-30;
		");
		object_event_add(gg2i_bubbleChat, ev_step, ev_step_normal, "
		if(not done) {
			if(alpha<0.99) alpha = power(alpha,power(0.7, global.delta_factor));
			else alpha = 0.99;
			if x < 31 x+=15 * global.delta_factor;
			if x > 31 x=31;
		}
		else {
			if(alpha>0.01) alpha = power(alpha,power(1/0.7, global.delta_factor));
			x-=15 * global.delta_factor;
			if x <=-62 instance_destroy();
			}
		");
		object_event_add(gg2i_bubbleChat, ev_step, ev_step_begin, "
			if (instance_exists(BubbleMenuX) || instance_exists(BubbleMenuZ) || instance_exists(BubbleMenuC))
				instance_destroy();
			if !(global.myself.object > 0)
				instance_destroy();
			if(keyboard_check_pressed(ord('0')))
			{
				done=true;
			}
			for (i = 0; i < 9; i += 1)
			{
				if(keyboard_check_pressed(ord(string(i + 1))))
				{
					bubbleImage = i;
					event_user(0);
				}
			}
		");
		object_event_add(gg2i_bubbleChat, ev_draw, 0, "
			var xoffset, yoffset, xsize, ysize;
				
			xoffset = view_xview[0];
			yoffset = view_yview[0];
			xsize = view_wview[0];
			ysize = view_hview[0];
				
			draw_set_alpha(1);
					
			draw_sprite_ext(sprite_index, 0, xoffset+x, yoffset+ysize/2, 1, 1, 0, c_white, alpha);
			for (i = 0; i < 9; i += 1)
			{
				draw_sprite_ext(global.myself.gg2i_current_misc, i, xoffset + x - 2, yoffset+ysize / 2 - 110 + 24*i, 1, 1, 0, c_white, alpha);
			}
		");
		//Send Other players what bubble you made
		object_event_add(gg2i_bubbleChat, ev_other, ev_user0, "
			if(not done) {
				if (!global.isHost)
				{
					write_ubyte(gg2i.messageBuffer, 2);
					write_ubyte(gg2i.messageBuffer, bubbleImage);
					PluginPacketSend(gg2i.packetID, gg2i.messageBuffer);
					buffer_clear(gg2i.messageBuffer);
				}
				else
				{
					write_ubyte(gg2i.messageBuffer, 2);
					write_ubyte(gg2i.messageBuffer, ds_list_find_index(global.players, global.myself));
					write_ubyte(gg2i.messageBuffer, bubbleImage);
					PluginPacketSend(gg2i.packetID, gg2i.messageBuffer);
					buffer_clear(gg2i.messageBuffer);
				}
				if(global.myself.object != -1) {
					global.myself.object.bubble.image_index = bubbleImage;
					global.myself.object.bubble.alarm[0] = 60 / global.delta_factor;
					global.myself.object.bubble.visible = true;
					global.myself.object.bubble.bubbleAlpha = 2;
					global.myself.object.bubble.fadeout = false;
				}
			}
			done = true;
		");
	}
	object_event_add(PlayerControl, ev_step, ev_step_begin, "
		if(global.myself.object != -1)
		{
			if(!menuOpen)
			{
				if(keyboard_check_pressed(ord('V')))
				{
					if (global.myself.gg2i_current_misc > 0 && global.myself.gg2i_current_misc_type == 4)
					{
						var i, player;

						player = ds_list_find_value(global.players, global.playerID);

						if (player.team != TEAM_SPECTATOR)
						{
							var existed;
							
							existed = 0;
							
							if instance_exists(BubbleMenuX) with (BubbleMenuX) instance_destroy();
							if instance_exists(BubbleMenuZ) with (BubbleMenuZ) instance_destroy();
							if instance_exists(BubbleMenuC) with (BubbleMenuC) instance_destroy();
							if instance_exists(gg2i_bubbleChat)
							{
								gg2i_bubbleChat.done = true;
								existed = 1;
							}
							if (existed == 0)
							{
								instance_create(x,y,gg2i_bubbleChat);             
							}
							else
							{
								gg2i_bubbleChat.done = true;       
							}
						}
					}
				}
			}
		}
	");
	object_event_add(SpeechBubbleO, ev_step, ev_step_end, "
		if (bubbleAlpha > 1)
			sprite_index = owner.player.gg2i_current_misc;
		else
			sprite_index = BubblesS;
	");

	//Set Pet
	if !variable_global_exists('gg2i_pet')
	{
		globalvar gg2i_pet;
		gg2i_pet = object_add();
		object_event_add(gg2i_pet, ev_create, 0, "
			event_inherited();
			alpha = 1;
			owner = -1;
			ownerPlayer = -1;
			warp = false;
			dead = false;
			sprite_idle = pointS;
			sprite_run = pointS;
			sprite_jump = pointS;
			sprite_warp = pointS;
			sprite_dead = pointS;
		");
		object_event_add(gg2i_pet, ev_step, ev_step_normal, "
			if (dead)
				owner = id;
			if (!warp)
			{
				wallSetSolid();
				if(!place_free(x, y))
				{
					//Going upstairs
					y -= 6;
					move_outside_solid(270, 6);
				}
				else
				{
					if (place_free(x, bbox_bottom + 6) and !place_free(x, bbox_bottom + 7))
					{
						move_contact_solid(270, 6);
					}
				}
				if(!place_free(x+hspeed, y+vspeed) and place_free(x, y))
				{
					really_move_contact_solid(direction, speed);
					if(!place_free(x, bbox_bottom+1) or (vspeed < 0 and !place_free(x, bbox_top + vspeed)) or (vspeed > 0 and !place_free(x, bbox_bottom + vspeed)))
						vspeed = 0;
				}
				if (vspeed == 0)
				{
					if (owner.vspeed < 0)
						vspeed = owner.vspeed;
					//Go downstairs
					else if (place_free(x, y))
						move_contact_solid(270, 6);
				}
				if (place_free(x, bbox_bottom+1) or vspeed < 0)
					vspeed += 0.6  * global.delta_factor;
				if (abs(vspeed) > 10)
					vspeed = 10*sign(vspeed);
				if (hspeed = 0)
				{
					if (abs(owner.x - x) > 45)
						hspeed = min((owner.x - x)/4, 10);
				}
				else if (abs(hspeed) < 1 and owner.hspeed == 0)
					hspeed = 0;
				else
					hspeed = min((owner.x - x)/4, 10);
				if (abs(owner.x - x) + abs(owner.y - y) > 120)
				{
					warp = true;
				}
				hspeed = min(abs(hspeed), 15) * sign(hspeed);
				vspeed = min(abs(vspeed), 15) * sign(vspeed);
				if (!place_free(x + hspeed, y + vspeed))
				{
					hspeed *= global.delta_factor;
					vspeed *= global.delta_factor;
					
					var distleft, hleft, vleft;
					
					// slide in an appropriate direction to get outside of walls
					if(!place_free(x, bbox_top) or !place_free(x, bbox_bottom) or !place_free(bbox_right, y) or !place_free(bbox_left, y))
					{
						if(place_free(x, bbox_top))
							move_outside_solid(90, (bbox_bottom-bbox_top)/2);
						else if(place_free(x, bbox_bottom))
							move_outside_solid(270, (bbox_bottom-bbox_top)/2);
						else if(place_free(bbox_right, y))
							move_outside_solid(0, (bbox_right-bbox_left)/2);
						else if(place_free(bbox_left, y))
							move_outside_solid(180, (bbox_right-bbox_left)/2);
					}

					hleft = hspeed;
					vleft = vspeed;

					var loopCounter, stuck;
					stuck = 0;
					while((abs(hleft) > 0.1 || abs(vleft) > 0.1) && stuck = 0){ // while we still have distance to travel

						var prevX, prevY, collisionRectified;
						collisionRectified = false;

						prevX = x;
						prevY = y;
						good_move_contact_solid(point_direction(x, y, x + hleft, y + vleft), point_distance(x, y, x + hleft, y + vleft));
						hleft -= x - prevX;
						vleft -= y - prevY;
						if(vleft != 0 && !place_free(x, y + sign(vleft))) {
							vleft = 0;
							vspeed = 0;
							collisionRectified = true;
						}

						if(hleft != 0 && !place_free(x + sign(hleft), y)) {
							if(place_free(x + sign(hleft), y - 6))
							{
								y -= 6; // hop up the step.
								collisionRectified = true;
							}
							else if(place_free(x + sign(hleft), y + 6) and abs(hspeed) >= abs(vspeed))
							{
								y += 6;
								collisionRectified = true;
							}
							else
							{
								hleft = 0;
								hspeed = 0;
								collisionRectified = true;
							}
						}
						if(!collisionRectified && (abs(hleft) >= 1 || abs(vleft) >= 1)) {
							vspeed = 0;
							vleft = 0;
						}
					}
					
					hspeed /= global.delta_factor;
					vspeed /= global.delta_factor;
					
					// Set these backwards before the game runs step
					x -= hspeed;
					y -= vspeed;
				}
				else
				{
					x += hspeed * global.delta_factor;
					y += vspeed * global.delta_factor;
					x -= hspeed;
					y -= vspeed;
				}
				wallUnsetSolid();
			}
			else if (warp)
			{
				if (distance_to_point(owner.x, owner.y) < 10)
					warp = false;
				else
				{
					hspeed = min(abs((owner.x - x)/8), 15)*sign(owner.x - x);
					vspeed = min(abs((owner.y - y)/8), 15)*sign(owner.y - y);
				}
				x += hspeed * global.delta_factor;
				y += vspeed * global.delta_factor;
				x -= hspeed;
				y -= vspeed;
			}
			
			if (!dead)
			{
				if (warp)
					sprite_index = sprite_warp;
				else
				{
					if ((vspeed == 0 && hspeed == 0) || (hspeed == 0 && !place_free(x,y+1) and vspeed >= 0))
						sprite_index = sprite_idle;
					else if (vspeed == 0 || (!place_free(x,y+1) and vspeed >= 0))
						sprite_index = sprite_run;
					else
					{
						sprite_index = sprite_jump;
						//Jumping
						if (vspeed < 0)
						{
							image_index = floor(image_index) mod (image_number/2);
						}
						//Falling
						else
						{
							image_index = image_number/2 + (floor(image_index) mod (image_number/2));
						}
					}
				}
			}
			if (!dead)
			{
				if (owner.x > x)
				{
					image_xscale = 1;
				}
				else
				{
					image_xscale = -1;
				}
			}
		");
		object_event_add(gg2i_pet, ev_step, ev_step_end, "
			if(x<0) {
				x=0;
			}
			if(x>map_width()){
				x = map_width();
			}
			if(y<0) {
				y = 0;
			}
			if(y>map_height()){
				y = map_height();
			}
		");
		object_event_add(gg2i_pet, ev_draw, 0, "
			image_speed = 0.1*global.delta_factor;
			if (!warp)
				sprite_collision_mask(sprite_index,false,1,0,0,0,0,1,0);
			draw_sprite_ext(sprite_index, image_index, x, y, image_xscale, 1, 0, -1, alpha);
			if (!dead)
			{
				if(distance_to_point(mouse_x, mouse_y)<25) {
					draw_set_alpha(alpha);   
					draw_set_halign(fa_center);
					draw_set_valign(fa_bottom); 
					draw_set_color(c_white);
					draw_text(x, y-45, sanitiseNewlines(ownerPlayer.name) + gg2i.smallQuote + 's');
					draw_text(x, y-35, 'Pet');
				}
			}
		");
		object_event_add(gg2i_pet, ev_alarm, 0, "
			instance_destroy();
		");
	}
	object_event_add(Character, ev_create, 0, "
		current_pet = -1;
	");
	object_event_add(Character, ev_step, ev_step_begin, "
		if (player.gg2i_current_pet > 0)
		{
			if (current_pet == -1)
			{
				current_pet = instance_create(x, y, gg2i_pet);
				current_pet.sprite_index = player.gg2i_current_pet;
				current_pet.owner = id;
				current_pet.ownerPlayer = player;
				current_pet.sprite_idle = player.gg2i_current_pet;
				current_pet.sprite_run = ds_map_find_value(gg2i_pet_run_map, ds_list_find_value(player.gg2i_pet_list, player.class));
				current_pet.sprite_jump = ds_map_find_value(gg2i_pet_jump_map, ds_list_find_value(player.gg2i_pet_list, player.class));
				current_pet.sprite_warp = ds_map_find_value(gg2i_pet_warp_map, ds_list_find_value(player.gg2i_pet_list, player.class));
				current_pet.sprite_dead = ds_map_find_value(gg2i_pet_death_map, ds_list_find_value(player.gg2i_pet_list, player.class));
			}
		}
		if (current_pet > 0)
			current_pet.alpha = image_alpha;
	");
	object_event_add(Character, ev_destroy, 0, "
		if (current_pet > 0)
		{
			current_pet.dead = true;
			current_pet.alarm[0] = 600*global.delta_factor;
			current_pet.sprite_index = current_pet.sprite_dead;
		}
	");

	//Delete original sprite
	object_event_add(Character, ev_step, ev_step_begin, "
		spriteRun = pointS;
		spriteJump = pointS;
		spriteStand = pointS;
		spriteLeanR = pointS;
		spriteLeanL = pointS;
		spriteIntel = pointS;
		if(SniperRedCrouchS != gg2i_blank_64)
			sprite_assign(SniperRedCrouchS, gg2i_blank_64);
		if(SniperBlueCrouchS != gg2i_blank_64)
			sprite_assign(SniperBlueCrouchS, gg2i_blank_64);
		if (player.class == 9 && player.team==TEAM_BLUE) //Blue Curly
			sprite_index = gg2i_blank_64;
	");

	//Set Taunt
	object_event_add(Character, ev_step, ev_step_end, "
		if (player.gg2i_current_taunt != -1)
		{
			tauntsprite = player.gg2i_current_taunt;
			sprite_set_offset(tauntsprite, sprite_get_xoffset(sprite_index), sprite_get_yoffset(sprite_index));
			tauntlength = sprite_get_number(tauntsprite)/2;
		}
	");

}